org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Class TextSectionMapping.TextPoint

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.TextSectionMapping.TextPoint

All Implemented Interfaces:
  java.lang.Comparable<TextSectionMapping.TextPoint>

Enclosing interface:
  TextSectionMapping

    public static final class TextSectionMapping.TextPoint
    extends java.lang.Object
    implements java.lang.Comparable<TextSectionMapping.TextPoint>

A structure of line/column. It implements hashCode/equals methods and `Comparable` interface (text point is less that other if it normally gets read earlier). Line/column numbers are always 0-based.

### Constructor Summary

Constructors
Constructor and Description
`TextPoint(int line, int column)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(TextSectionMapping.TextPoint o)`
`boolean` `equals(java.lang.Object obj)`
`int` `getColumn()`
`int` `getLine()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextPoint

    public TextPoint(int line,
                     int column)

### Method Detail

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(TextSectionMapping.TextPoint o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<TextSectionMapping.TextPoint>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`